---
names:
  full: Azure Storage Account Allow Blob Anonymous Access is enabled
  contextual: Allow Blob Anonymous Access is enabled
description: "The Azure Storage setting 'Allow Blob Anonymous Access' (aka 'allowBlobPublicAccess')\
  \ controls whether anonymous access is allowed for blob data in a storage account.\
  \ When this property is set to True, it enables public read access to blob data,\
  \ which can be convenient for sharing data but may carry security risks."
type: COMPLIANCE_POLICY
categories:
  - SECURITY
frameworkMappings:
  - "/frameworks/cis-azure-v5.0.0/09/03/08"
  - "/frameworks/cloudaware/resource-security/public-and-anonymous-access"
similarPolicies:
  internal:
    - dec-x-083928f5
  cloudConformity:
    - url: https://www.trendmicro.com/cloudoneconformity/knowledge-base/azure/StorageAccounts/disable-blob-public-access.html
      name: Disable public access to storage accounts with blob containers
